## ros-indigo-robbie-architecture 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robbie_architecture)
#include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

#rosbuild_init()

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})


find_package(catkin REQUIRED COMPONENTS roscpp cmake_modules)

include_directories(include ${PROJECT_SOURCE_DIR})

catkin_package(
        INCLUDE_DIRS include
		LIBRARIES Config ImageHelpers Math Singleton StateMachine Thread TinyXML String  roscpp #VectorGraphics
)

add_subdirectory(src/Workers/ImageHelpers)
add_subdirectory(src/Workers/Math)
#add_subdirectory(src/Workers/VectorGraphics)
add_subdirectory(src/Workers/String)

add_subdirectory(src/Architecture/Config)
add_subdirectory(src/Architecture/Singleton)
add_subdirectory(src/Architecture/StateMachine)
add_subdirectory(src/Architecture/Thread)
add_subdirectory(src/Architecture/TinyXML)

install(DIRECTORY include/robbie_architecture/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== src/Architecture/Config/CMakeLists.txt ===
set(Config_SRC
  Config.cpp
)

add_library(Config ${Config_SRC})

target_link_libraries(Config TinyXML Thread)

install(TARGETS Config DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Architecture/Singleton/CMakeLists.txt ===
set(Singleton_SRC
  Clock.cpp
  SequenceNumber.cpp
)

add_library(Singleton ${Singleton_SRC})

target_link_libraries(Singleton Thread)

install(TARGETS Singleton DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Architecture/StateMachine/CMakeLists.txt ===
set(StateMachine_SRC
  StateMachine.cpp
)

add_library(StateMachine ${StateMachine_SRC})

target_link_libraries(StateMachine Singleton)

install(TARGETS StateMachine DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Architecture/Thread/CMakeLists.txt ===
set(Thread_SRC
  Mutex.cpp
  Thread.cpp
  Condition.cpp
)

add_library(Thread ${Thread_SRC})

install(TARGETS Thread DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Architecture/TinyXML/CMakeLists.txt ===
set(TinyXML_SRC
  tinystr.cpp
  tinyxml.cpp
  tinyxmlerror.cpp
  tinyxmlparser.cpp
)

add_library(TinyXML ${TinyXML_SRC})

install(TARGETS TinyXML DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Workers/ImageHelpers/CMakeLists.txt ===
set(ImageHelpers_SRC
#ImageMask.cpp
ImageMaskCV.cpp # conversion to OpenCV
)

add_library(ImageHelpers ${ImageHelpers_SRC})
target_link_libraries(ImageHelpers Math)

install(TARGETS ImageHelpers DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Workers/Math/CMakeLists.txt ===
set(Math_SRC
  Line2D.cpp
  Polygon2D.cpp
  misc.cpp
  Transformation2D.cpp
  mat3.cpp
  Circle2D.cpp
  Pose.cpp
  Obb2D.cpp
  Matrix.cpp
  Math.cpp
  Point2D.cpp
  Vector3D.cpp
  Homography.cpp
)

add_library(Math ${Math_SRC})

install(TARGETS Math DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Workers/String/CMakeLists.txt ===
set(String_SRC
	String.cpp
)

add_library(String ${String_SRC}) 

install(TARGETS String DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Workers/VectorGraphics/CMakeLists.txt ===
set(VectorGraphics_SRC
  VectorObject2D.cpp
)

find_package(OpenGL REQUIRED)

include_directories( ${OPENGL_INCLUDE_DIRS} )

add_library(VectorGraphics ${VectorGraphics_SRC})

target_link_libraries(VectorGraphics
  Math
  ${OPENGL_LIBRARIES} 
)

=== debian/changelog ===
ros-indigo-robbie-architecture (1.0.9-0trusty) trusty; urgency=high

  * fixed include path
  * moved header files to include directory
  * added include directory
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Fri, 04 Dec 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.8-0trusty) trusty; urgency=high

  * fixed install()
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Tue, 01 Dec 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.7-0trusty) trusty; urgency=high

  * install headers
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Mon, 30 Nov 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.6-0trusty) trusty; urgency=high

  * added install()
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Sun, 29 Nov 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.5-0trusty) trusty; urgency=high

  * added build_depends opengl and boost
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Thu, 26 Nov 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.4-0trusty) trusty; urgency=high

  * added build_depend libopencv-dev
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Thu, 26 Nov 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.3-0trusty) trusty; urgency=high

  * Puts catkin_package after find_package(catkin)
  * Contributors: Gregor Heuer

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Tue, 24 Nov 2015 23:00:00 -0000

ros-indigo-robbie-architecture (1.0.1-0trusty) trusty; urgency=high

  * added robbie_architecture
  * Contributors: Niklas Yann Wettengel

 -- Raphael Memmesheimer <raphael@uni-koblenz.de>  Mon, 23 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-robbie-architecture
Section: misc
Priority: extra
Maintainer: Raphael Memmesheimer <raphael@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopencv-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-roscpp
Homepage: http://ros.org/wiki/robbie_architecture
Standards-Version: 3.9.2

Package: ros-indigo-robbie-architecture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp
Description: robbie_architecture

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-robbie-architecture//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
